summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorAndrea Canciani <ranma42@gmail.com>2012-05-14 10:40:49 +0200
committerAndrea Canciani <ranma42@gmail.com>2012-05-26 16:03:00 +0200
commit38d03ea7488097f2b1194f546bd1331af189b809 (patch)
tree6cc9e1d121633a5d20bf8e07280e729d4ae3931c /autogen.sh
parent465319ce828f922edce46b6e7628da543b20d5e4 (diff)
build: Allow autogen-eration on systems without GTK-doc
The autogen.sh script fails if it cannot run gtkdocize. The absence of this command should not cause cairo builds to fail, it should only prevent the build of its documentation. Fixes: *** No GTK-Doc found, please install it *** on systems without gtkdoc tools. Fixes https://bugs.freedesktop.org/show_bug.cgi?id=50356
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/autogen.sh b/autogen.sh
index f085022c..acb23c73 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -15,8 +15,9 @@ fi
GTKDOCIZE=`which gtkdocize`
if test -z $GTKDOCIZE; then
- echo "*** No GTK-Doc found, please install it ***"
- exit 1
+ echo "*** No GTK-Doc found, documentation won't be generated ***"
+else
+ gtkdocize || exit $?
fi
# create dummy */Makefile.am.features and ChangeLog to make automake happy
@@ -24,7 +25,6 @@ fi
> src/Makefile.am.features
touch ChangeLog
-gtkdocize || exit $?
autoreconf --force --install --verbose || exit $?
cd $ORIGDIR